Bug 1049276

Summary: mod_cluster-manager may break up aliases from a single VirtualHost, causing a messy page
Product: [JBoss] JBoss Enterprise Web Server 2 Reporter: Jean-frederic Clere <jclere>
Component: mod_clusterAssignee: Weinan Li <weli>
Status: CLOSED EOL QA Contact: Michal Karm Babacek <mbabacek>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.0.1CC: aogburn, bperkins, jawilson, jclere, jdoyle, mbabacek, myarboro, pslavice, rsvoboda
Target Milestone: ER02   
Target Release: 2.1.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, when displaying the individual virtual hosts for a node, mod_cluster-manager displayed a page filled with aliases from a single virtual host interspersed with multiple other instances of the virtual host and its contexts. The result is unclear and can cause confusion for users. This problem occurs with concurrent start ups when JBoss has multiple applications bound to virtual servers that are deployed and enabled at the same time. This is fixed in JBoss Enterprise Web Server 2.1 and virtual hosts are always displayed correctly (and only once) on the manager page with all the relevant aliases included in the single entry. This is fixed in JBoss Enterprise Web Server 2.1 and virtual hosts are always displayed correctly (and only once) on the manager page with all the relevant aliases included in the single entry.
Story Points: ---
Clone Of: 980246 Environment:
Last Closed: 2019-06-13 12:09:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 980246    
Bug Blocks:    

Comment 1 Weinan Li 2014-06-10 09:53:57 UTC
Jean-Frederic, which version of mod_cluster fix this problem?

Comment 2 Jean-frederic Clere 2014-06-10 10:10:40 UTC
1.2.5.Final according to the mod_cluster JIRA.

Comment 3 Michal Karm Babacek 2014-06-18 02:58:50 UTC
This is an old issue, (fixed in m_c 1.2.5, we have 1.2.8 in ER2)
and I haven't seen it since. I can't reproduce it with EWS 2.1.0.ER2, switching to VERIFIED.